diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/update.sql b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/update.sql
index 6f1bc70..fe9a72d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/update.sql
@@ -18,7 +18,7 @@ ALTER EVENT TRIGGER {{ conn|qtIdent(o_data.name) }}
 {% endif %}
 {% endif %}
 
-{% if data.comment and data.comment != o_data.comment %}
+{% if data.comment is defined and data.comment != o_data.comment %}
 COMMENT ON EVENT TRIGGER {{ conn|qtIdent(data.name) }}
     IS '{{ data.comment }}';
 {% endif %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/sql/9.1_plus/update.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/sql/9.1_plus/update.sql
index 570e123..9ee1ccb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/sql/9.1_plus/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/sql/9.1_plus/update.sql
@@ -6,7 +6,7 @@ ALTER COLLATION {{ conn|qtIdent(o_data.schema, o_data.name) }}
 
 {% endif %}
 {# Change object's comment  #}
-{% if data.description and data.description != o_data.description %}
+{% if data.description is defined and data.description != o_data.description %}
 COMMENT ON COLLATION {{ conn|qtIdent(o_data.schema, o_data.name) }}
     IS {{ data.description|qtLiteral }};
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/templates/domain_constraints/sql/9.2_plus/update.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/templates/domain_constraints/sql/9.2_plus/update.sql
index 628eb6e..5ea6a0c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/templates/domain_constraints/sql/9.2_plus/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/templates/domain_constraints/sql/9.2_plus/update.sql
@@ -6,8 +6,8 @@ ALTER DOMAIN {{ conn|qtIdent(o_data.nspname, o_data.relname) }}
 
 
 ALTER DOMAIN {{ conn|qtIdent(o_data.nspname, o_data.relname) }}
-    VALIDATE CONSTRAINT {{ conn|qtIdent(name) }};{% endif -%}{% if data.description %}
+    VALIDATE CONSTRAINT {{ conn|qtIdent(name) }};{% endif -%}{% if data.description is defined %}
 
 
 COMMENT ON CONSTRAINT {{ conn|qtIdent(name) }} ON DOMAIN {{ conn|qtIdent(o_data.nspname, o_data.relname) }}
-    IS '{{ data.description }}';{% endif %}
+    IS {{ data.description|qtLiteral }};{% endif %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/update.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/update.sql
index 8a5e112..1cab193 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/update.sql
@@ -58,7 +58,7 @@ ALTER DOMAIN {{ conn|qtIdent(o_data.basensp, name) }}
 {{ SECLABLE.SET(conn, 'DOMAIN', name, r.provider, r.label, o_data.basensp) }}
 
 {% endfor -%}
-{% endif -%}{% if data.description %}
+{% endif -%}{% if data.description is defined and data.description != o_data.description %}
 
 COMMENT ON DOMAIN {{ conn|qtIdent(o_data.basensp, name) }}
     IS {{ data.description|qtLiteral }};
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/update.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/update.sql
index b94cb01..83c280f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/update.sql
@@ -69,7 +69,7 @@ ALTER DOMAIN {{ conn|qtIdent(o_data.basensp, name) }}
 
 {{ SECLABLE.SET(conn, 'DOMAIN', name, r.provider, r.label, o_data.basensp) }}
 {% endfor %}
-{% endif -%}{% if data.description %}
+{% endif -%}{% if data.description is defined and data.description != o_data.description %}
 
 COMMENT ON DOMAIN {{ conn|qtIdent(o_data.basensp, name) }}
     IS {{ data.description|qtLiteral }};
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/update.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/update.sql
index c3f68b5..64baa03 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/update.sql
@@ -14,7 +14,7 @@ ALTER SCHEMA {{ conn|qtIdent(data.name) }}
 
 {% endif %}
 {# Update the comments/description #}
-{% if data.description and data.description != o_data.description %}
+{% if data.description is defined and data.description != o_data.description %}
 COMMENT ON SCHEMA {{ conn|qtIdent(data.name) }}
     IS {{ data.description|qtLiteral }};
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/update.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/update.sql
index 0286a22..47f6e13 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/update.sql
@@ -14,7 +14,7 @@ ALTER SCHEMA {{ conn|qtIdent(data.name) }}
 
 {% endif %}
 {# Update the comments/description #}
-{% if data.description and data.description != o_data.description %}
+{% if data.description is defined and data.description != o_data.description %}
 COMMENT ON SCHEMA {{ conn|qtIdent(data.name) }}
     IS {{ data.description|qtLiteral }};
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/update.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/update.sql
index 5822539..a0bb533 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/update.sql
@@ -15,7 +15,7 @@ ALTER SCHEMA {{ conn|qtIdent(data.name) }}
 
 {% endif %}
 {### To update SCHEMA comments ###}
-{% if data.description and data.description != o_data.description %}
+{% if data.description is defined and data.description != o_data.description %}
 COMMENT ON SCHEMA {{ conn|qtIdent(data.name) }}
     IS {{ data.description|qtLiteral }};
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/update.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/update.sql
index 764d8b5..acfb809 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/update.sql
@@ -15,7 +15,7 @@ ALTER SCHEMA {{ conn|qtIdent(data.name) }}
 
 {% endif %}
 {### To update SCHEMA comments ###}
-{% if data.description and data.description != o_data.description %}
+{% if data.description is defined and data.description != o_data.description %}
 COMMENT ON SCHEMA {{ conn|qtIdent(data.name) }}
     IS {{ data.description|qtLiteral }};
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/sql/9.1_plus/update.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/sql/9.1_plus/update.sql
index babf748..23ffad2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/sql/9.1_plus/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/sql/9.1_plus/update.sql
@@ -10,7 +10,7 @@ ALTER TYPE {{ conn|qtIdent(o_data.schema, o_data.name) }}
 {% endif %}
 {#======================================#}
 {# Below will change objects comment  #}
-{% if data.description and data.description != o_data.description %}
+{% if data.description is defined and data.description != o_data.description %}
 COMMENT ON TYPE {{ conn|qtIdent(o_data.schema, o_data.name) }}
     IS {{ data.description|qtLiteral }};
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/js/databases.js b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/js/databases.js
index 8441b0c..51a77db 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/js/databases.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/js/databases.js
@@ -224,7 +224,7 @@ function($, _, S, pgAdmin, pgBrowser, Alertify) {
         },{
           id: 'datowner', label:'{{ _('Owner') }}',
           editable: false, type: 'text', node: 'role',
-          control: Backform.NodeListByNameControl
+          control: Backform.NodeListByNameControl, select2: { allowClear: false }
         },{
           id: 'acl', label: '{{ _('Privileges') }}', type: 'text',
           group: '{{ _('Security') }}', mode: ['properties'], disabled: true
@@ -240,11 +240,13 @@ function($, _, S, pgAdmin, pgBrowser, Alertify) {
           id: 'template', label: '{{ _('Template') }}',
           editable: false, type: 'text', group: 'Definition',
           disabled: function(m) { return !m.isNew(); },
-          control: 'node-list-by-name', node: 'database', cache_level: 'server'
+          control: 'node-list-by-name', node: 'database', cache_level: 'server',
+          select2: { allowClear: false }
         },{
           id: 'spcname', label: '{{ _('Tablespace') }}',
           editable: false, type: 'text', group: 'Definition',
           control: 'node-list-by-name', node: 'tablespace',
+          select2: { allowClear: false },
           filter: function(m) {
             if (m.label == "pg_global") return false;
             else return true;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.1_plus/alter_online.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.1_plus/alter_online.sql
index 9da4787..ff32925 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.1_plus/alter_online.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.1_plus/alter_online.sql
@@ -7,7 +7,7 @@
 ALTER DATABASE {{ conn|qtIdent(data.name) }} OWNER TO {{ conn|qtIdent(data.datowner) }};
 {% endif %}
 {# Change the comments/description #}
-{% if data.comments %}
+{% if data.comments is defined %}
 COMMENT ON DATABASE {{ conn|qtIdent(data.name) }}
     IS {{ data.comments|qtLiteral }};
 {% endif %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/alter_online.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/alter_online.sql
index d612026..8d31f29 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/alter_online.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/alter_online.sql
@@ -8,7 +8,7 @@
 ALTER DATABASE {{ conn|qtIdent(data.name) }} OWNER TO {{ conn|qtIdent(data.datowner) }};
 {% endif %}
 {# Change the comments/description #}
-{% if data.comments %}
+{% if data.comments is defined %}
 COMMENT ON DATABASE {{ conn|qtIdent(data.name) }}
     IS {{ data.comments|qtLiteral }};
 {% endif %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.3_plus/alter_online.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.3_plus/alter_online.sql
index 5e1ab33..71f516a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.3_plus/alter_online.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.3_plus/alter_online.sql
@@ -8,7 +8,7 @@
 ALTER DATABASE {{ conn|qtIdent(data.name) }} OWNER TO {{ conn|qtIdent(data.datowner) }};
 {% endif %}
 {# Change the comments/description #}
-{% if data.comments %}
+{% if data.comments is defined %}
 COMMENT ON DATABASE {{ conn|qtIdent(data.name) }}
 IS {{ data.comments|qtLiteral }};
 {% endif %}
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/templates/tablespaces/sql/9.1_plus/update.sql b/web/pgadmin/browser/server_groups/servers/tablespaces/templates/tablespaces/sql/9.1_plus/update.sql
index 24f818b..5221c73 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/templates/tablespaces/sql/9.1_plus/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/templates/tablespaces/sql/9.1_plus/update.sql
@@ -3,7 +3,7 @@
 {% import 'macros/privilege.macros' as PRIVILEGE %}
 {% if data %}
 {# ==== To update tablespace name ==== #}
-{% if data.name != o_data.name %}
+{% if data.name and data.name != o_data.name %}
 ALTER TABLESPACE {{ conn|qtIdent(o_data.name) }}
   RENAME TO {{ conn|qtIdent(data.name) }};
 
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/templates/tablespaces/sql/9.2_plus/update.sql b/web/pgadmin/browser/server_groups/servers/tablespaces/templates/tablespaces/sql/9.2_plus/update.sql
index f0afd78..19cd3b0 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/templates/tablespaces/sql/9.2_plus/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/templates/tablespaces/sql/9.2_plus/update.sql
@@ -4,7 +4,7 @@
 {% import 'macros/privilege.macros' as PRIVILEGE %}
 {% if data %}
 {# ==== To update tablespace name ==== #}
-{% if data.name != o_data.name %}
+{% if data.name and data.name != o_data.name %}
 ALTER TABLESPACE {{ conn|qtIdent(o_data.name) }}
   RENAME TO {{ conn|qtIdent(data.name) }};
 
